#include "tycho.h"

MapModel::MapModel(QObject *parent) :
   AbstractMapModel(parent),
   ProjectModel()
{
   dbgPrintFunc();
}

MapModel::~MapModel()
{
   dbgPrintFunc();
}

ProjectModelType MapModel::type() const
{
   return ProjectModelType::Map;
}

bool MapModel::isDirty() const
{
   return AbstractMapModel::isDirty();
}

bool MapModel::open(QString const &path)
{
   return AbstractMapModel::open(path);
}

bool MapModel::save() const
{
   return AbstractMapModel::save();
}

bool MapModel::saveAs(QString const &path) const
{
   return AbstractMapModel::saveAs(path);
}

QVariant MapModel::data(const QModelIndex &index, int role) const
{
   switch(role) {
      case Qt::DecorationRole: {
         auto name = propIcon(index.row());
         auto icon = name.front() == ':' ? QIcon(name)
                                         : QIcon::fromTheme(name);
         return QVariant::fromValue(icon);
      }
      default:
         return AbstractMapModel::data(index, role);
   }
}

// EOF
